<c:set var="cardChargeDetails" value="${bookingInfo.cardChargeDetails}" />
<c:set var="cardChargeArray" value="${fn:split(cardChargeDetails,',')}" />
<c:set var="cardCharge" value="${cardChargeArray[0]}" />
<c:set var="maxCardCharge" value="${cardChargeArray[2]}" />
<c:set var="maxCardCharge" value="${cardChargeArray[2]}" />
<c:set var="maxCap" value="${maxCardCharge}" />
<c:choose>
   <c:when test="${bookingComponent.nonPaymentData['TUIHeaderSwitch'] eq 'ON'}">
      <c:set value="TUI" var="creditBrandText" />
   </c:when>
   <c:otherwise>
      <c:set value="Thomson" var="creditBrandText" />
   </c:otherwise>
</c:choose>



<fmt:parseNumber var="parsemaxCap" type="number" value="${maxCap}" />
<c:set var="CONST_FULL_COST">fullCost</c:set>
<c:set var="CONST_LOW_DEPOSIT"></c:set>
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.paypalComponent eq null}">
		<c:set var="enableFlag" value="false" scope="request" />
		<c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:when test="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive eq null || empty bookingInfo.bookingComponent.paypalComponent.paypalOptionActive || bookingInfo.bookingComponent.paypalComponent.enablePaypal eq null || empty bookingInfo.bookingComponent.paypalComponent.enablePaypal}">
        <c:set var="enableFlag" value="false" scope="request" />
        <c:set var="paypalActiveFlag" value="false" scope="request" />
    </c:when>
    <c:otherwise>
<c:set var="enableFlag" value="${bookingInfo.bookingComponent.paypalComponent.enablePaypal}" scope="request" />
<c:set var="paypalActiveFlag" value="${bookingInfo.bookingComponent.paypalComponent.paypalOptionActive}" scope="request" />
<c:set var="paypalCreditActiveFlag" value="${bookingInfo.bookingComponent.payPalCreditApplicable}" scope="request"/>
    </c:otherwise>
</c:choose>
<c:choose>
	<c:when test="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection'] eq null || empty bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}">
		<c:set var="paypaldefault" value="false" scope="request" />
	</c:when>
	<c:otherwise>
		<c:set var="paypaldefault" value="${bookingInfo.bookingComponent.nonPaymentData['payPalDefaultSelection']}" scope="request" />
	</c:otherwise>
</c:choose>
<fmt:formatNumber var="fullAmount"
    value="${bookingComponent.payableAmount.amount-bookingInfo.calculatedDiscount.amount}"
    type="number" maxFractionDigits="2" minFractionDigits="2"
    pattern="#####.##" />
									<script type="text/javascript">
										try{							
											var mobileDevice=navigator.userAgent.indexOf('Linux');
											var iphoneDevice=navigator.userAgent.indexOf('iPhone');
											var ipadDevice=navigator.userAgent.indexOf("iPad");
											var windowsDevice=navigator.userAgent.indexOf('Windows');	
											var paypalErrorFlag = ${paypalActiveFlag != '' ? paypalActiveFlag:false};
											var paypalcreditErrorFlag = ${paypalCreditActiveFlag != ''? paypalCreditActiveFlag:false};
												jQuery(document).ready(function() {
													if(mobileDevice != -1|| windowsDevice != -1 || iphoneDevice != -1 || ipadDevice != -1 || ${paypaldefault} == true)
													{

														var mobcardSelection=document.getElementById("defaultpayment");
														var paypalcardSelection=document.getElementById("paypalPayment");
														
														if(paypalcardSelection){
															var paypalAmtSelection=document.getElementById("paypalCharges");
															var mobSelection=document.getElementById("paypal");
															var radioSelection=document.getElementById("debit");
															var removeActive=document.getElementById("debitSelect");
															var addActive=document.getElementById("paypalSelect");
															mobcardSelection.removeClassName('active');
															radioSelection.removeClassName('active');
															removeActive.innerHTML="select";
															paypalcardSelection.addClassName('active');
															mobSelection.addClassName('active');
															addActive.innerHTML="selected";
															displayCreditCharges("paypalType");
																if(paypalErrorFlag == false){
																	var mobcardSelection=document.getElementById("defaultpayment");
																	var mobSelection=document.getElementById("paypal");
																	var paypalActive=document.getElementById("paypalType");
																	var addActive=document.getElementById("paypalSelect");
																	var radioSelection=document.getElementById("debit");
																	var removeActive=document.getElementById("debitSelect");
																	mobcardSelection.addClassName('active');
																	radioSelection.addClassName('active');
																	mobSelection.removeClassName('active');
																	paypalActive.addClassName('pointer-none');
																	addActive.innerHTML="select";
																	removeActive.innerHTML="selected";
																	displayCreditCharges("debitcardType");
																}
															}
														else{
															displayCreditCharges("debitcardType");
														}
													}
													else{
													displayCreditCharges("debitcardType");
													}
												});
										}catch(Err){
											console.log("Navigator User Agent",Err);
										}
										</script>
										
								   <div class="component pay-modes">
								   <input type="hidden" name="payment_0_type" id="payment_0_type">
										<div class="section-heading bf-first">
											<h2>Secure online payment</h2>
										</div>
										<c:if test="${not empty paySummaryAmendmentCharge}">
											<div class="b marg-bottom-20">
												<h2 class="marg-bottom-20">Payment due today</h2>
												<div class="bdr-blue marg-bottom-10">
													<div class="box bg-sand">
														<h2 class="title"> ${poundOrEuro}<fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2" value="${paySummaryAmendmentCharge}" pattern="#####.##"/></h2>
														<c:if test="${applyCreditCardSurcharge eq 'true'}">
														<p class="marg-top--5 grey-med">${poundOrEuro}<span id="amendmentChargeWithCC"><c:out value="${paySummaryAmendmentCharge}"/></span> if paying by credit card.</p>
														</c:if>
													</div>
													<input type="hidden" value="${paySummaryAmendmentCharge}" id="partUnchangeable"/>
													<p class="pad-10">
														<a class="size-15" href="<c:out value='${summaryPageURL}'/>">Edit changes</a>
													</p>
												</div>
											</div>
										</c:if>
										<c:if test="${(clientapp != 'ANCTHFO') && (fullAmount > 0.0)}">
										    <c:if test="${(clientapp != 'ANCFJFO') && (fullAmount > 0.0)}">
										   		 <%@include file="depositDetails.jspf"%>
											</c:if>
										</c:if>
										<input type="hidden" id="cardtype" name="cardtype" value="Debit">
										<h2 class="marg-bottom-30">How would you like to pay?</h2>
										<div class="b pay-box" id="debitcardType" onclick="displayCreditCharges(this.id)">
											<div class="box with-trigger bdr-blue marg-bottom-10 active" id="defaultpayment">
												<h2 class="title">Debit card</h2>
												<p class="marg-top--5 marg-bottom-10 grey-med">No extra charge.</p>
												<p class="grey-med">There is no extra charge if paying by debit card. We accept all major debit cards.</p>
												<div class="select-block bg-sand b grey-dark full-hit">

													<!-- Note for js: the whole container is clickable! -->
													<span class="radio active" id="debit"></span><span class="rtext" id="debitSelect">Selected</span>
													<span class="hide" id="debitCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>

												</div>
											</div>
										</div>

										<p class="marg-bottom-10 text-c font-i">Or...</p>
										<c:choose>
											<c:when test="${clientapp == 'ANCFALCON'}">
												<div class="b pay-box" id="creditcardType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-20">
														<h2 class="title">Credit card</h2>
													<c:choose>
														<c:when test="${applyCreditCardSurcharge eq 'true'}">
														<p class="marg-top--5 marg-bottom-10 grey-med">+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.</p>
														<p class="grey-med">There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">(which is capped at ${poundOrEuro}<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.</p>
														</c:when>
														<c:otherwise>
															<p class="grey-med">There is no extra charge if paying by Credit Card. We accept all major Credit Cards.</p>
														</c:otherwise>
													</c:choose>
														<div class="select-block b grey-dark full-hit">
															<!-- Note for js: the whole container is clickable! -->
															<span class="radio" id="credit"></span><span class="rtext">Select</span>
															<span class="hide" id="creditCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
														</div>
													</div>
												</div>
												<c:if test="${enableFlag}">
												<p class="marg-bottom-10 text-c font-i">Or...</p>
												<div class="b pay-box <c:if test="${paypalActiveFlag eq 'false'}">pointer-none</c:if> " id="paypalType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-20" id="paypalPayment">
														<h2 class="title">
															<span class="pp-logo"></span>
														</h2>
														<br/><br/>
														<c:if test="${paypalActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal transaction wasn't successful.
														<br/>Please use another payment method.</p></c:if>
													<div class="select-block b grey-dark full-hit">
														<!-- Note for js: the whole container is clickable! -->
														<span class="radio" id="paypal"></span><span class="rtext" id="paypalSelect">Select</span>
														<span class="hide" id="paypalChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
													</div>
												</div>
												</div>
												</c:if>
											<!-- --PAY PAL CREDIT CODE -->
											<c:if test="${paypalCreditActiveFlag}">	
												<p class="marg-bottom-10 text-c font-i">Or...</p>	
												<div class="b pay-box <c:if test="${paypalCreditActiveFlag eq 'false'}">pointer-none</c:if> " data-payment-type="PayPal_Credit"	
													id="paypalcreditType" onclick="displayCreditCharges(this.id)">	
													<div class="box with-trigger bdr-blue marg-bottom-20"	
														id="payPalCreditAmt">	
														<h2 class="title">	
															<span	
																class="payPalCreditLogo"><img alt="govno"	
																src="/cms-cps/tuicommon/images/logo/PP_credit_logo_small.png"	
																class="payPalLogo"></span>	
														</h2>
														<br/><br/>
															<c:if test="${paypalCreditActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal Credit transaction wasn't successful.
															<br/>Please use another payment method.</p></c:if>
														<p>Login or sign up for a PayPal account to apply.Subject to status.T&C's apply.</p>	
																				
														<div class="greyBox">	
															<div class="paddingTop10">	
																<ul id="menu">	
																	<li class="creditList"><img alt=""	
																		src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" /> 0% interest for 4 months</li>	
																	<li class="creditList"><img alt=""	
																		src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" />Simple to apply</li>	
																	<li class="creditList"><img alt="" src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" />Pay nothing today
																	</li>	
																</ul>	
															</div>	
														</div>	
														
														<div class="select-block b grey-dark full-hit">	
															<!-- Note for js: the whole container is clickable! -->	
															<span class="radio" id="payPalCredit"></span><span class="rtext"	
																id="paypalcreditSelect">Select</span>
																<span class="hide" id="paypalcreditChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
														</div>	
													</div>	
												</div>	
											</c:if>	
											</c:when>
											<c:when test="${clientapp == 'ANCFJFO'}">
												<div class="b pay-box" id="creditcardType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-20">
														<h2 class="title">Credit card</h2>
														<c:choose>
															<c:when test="${applyCreditCardSurcharge eq 'true'}">
														<p class="marg-top--5 marg-bottom-10 grey-med">+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.</p>
														<p class="grey-med">There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">(which is capped at ${poundOrEuro}<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.</p>
															</c:when>
															<c:otherwise>
																<p class="grey-med">There is no extra charge if paying by Credit Card. We accept all major Credit Cards.</p>
															</c:otherwise>
														</c:choose>
														<div class="select-block b grey-dark full-hit">
															<!-- Note for js: the whole container is clickable! -->
															<span class="radio" id="credit"></span><span class="rtext">Select</span>
															<span class="hide" id="creditCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
														</div>
													</div>
												</div>
												<c:if test="${enableFlag}">
												<p class="marg-bottom-10 text-c font-i">Or...</p>
												<div class="b pay-box <c:if test="${paypalActiveFlag eq 'false'}">pointer-none</c:if> " id="paypalType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-20" id="paypalPayment">
														<h2 class="title">
															<span class="pp-logo"></span>
														</h2>
														<br/><br/>
														<c:if test="${paypalActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal transaction wasn't successful.
														<br/>Please use another payment method.</p></c:if>
													<div class="select-block b grey-dark full-hit">
														<!-- Note for js: the whole container is clickable! -->
														<span class="radio" id="paypal"></span><span class="rtext" id="paypalSelect">Select</span>
														<span class="hide" id="paypalChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
													</div>
												</div>
												</div>
												</c:if>
										<!-- --PAY PAL CREDIT CODE -->
											<c:if test="${paypalCreditActiveFlag}">	
												<p class="marg-bottom-10 text-c font-i">Or...</p>	
												<div class="b pay-box <c:if test="${paypalCreditActiveFlag eq 'false'}">pointer-none</c:if> " data-payment-type="PayPal_Credit"	
													id="paypalcreditType" onclick="displayCreditCharges(this.id)">	
													<div class="box with-trigger bdr-blue marg-bottom-20"	
														id="payPalCreditAmt">	
														<h2 class="title">	
															<span	
																class="payPalCreditLogo"><img alt="govno"	
																src="/cms-cps/tuicommon/images/logo/PP_credit_logo_small.png"	
																class="payPalLogo"></span>	
														</h2>
														<br/><br/>
															<c:if test="${paypalCreditActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal Credit transaction wasn't successful.
															<br/>Please use another payment method.</p></c:if>
														<p>Login or sign up for a PayPal account to apply.Subject to status.T&C's apply.</p>	
																				
														<div class="greyBox">	
															<div class="paddingTop10">	
																<ul id="menu">	
																	<li class="creditList"><img alt=""	
																		src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" /> 0% interest for 4 months</li>	
																	<li class="creditList"><img alt=""	
																		src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" />Simple to apply</li>	
																	<li class="creditList"><img alt="" src="/cms-cps/tuicommon/images/checkmark2.png"	
																		class="tickLogo" />Pay nothing today
																	</li>	
																</ul>	
															</div>	
														</div>	
														
														<div class="select-block b grey-dark full-hit">	
															<!-- Note for js: the whole container is clickable! -->	
															<span class="radio" id="payPalCredit"></span><span class="rtext"	
																id="paypalcreditSelect">Select</span>
																<span class="hide" id="paypalcreditChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
														</div>	
													</div>	
												</div>	
											</c:if>	
											</c:when>
											<c:otherwise>
												<div class="b pay-box" id="creditcardType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-10">
														<h2 class="title">Credit card</h2>
														<c:choose>
															<c:when test="${clientapp != 'ANCFALCON'}">
																<p id="cardCharges" class="marg-top--5 marg-bottom-10 grey-med">
																<c:if test="${applyCreditCardSurcharge eq 'true'}">
																	+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.
																</c:if>
																</p>
																<p id="credit-text" class="grey-med">
																	<c:choose>
																		<c:when test="${applyCreditCardSurcharge eq 'true'}">
																			There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">
																			(which is capped at ${poundOrEuro}<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.
																		</c:when>
																		<c:otherwise>
																			There is no extra charge if paying by Credit Card. We accept all major Credit Cards.
																		</c:otherwise>
																	</c:choose>
																</p>
																<p style="display: none;" id="thomsoncard" class="marg-top--5 marg-bottom-10 grey-med">
																<c:if test="${applyCreditCardSurcharge eq 'true'}">
																	+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.
																</c:if>
																</p>
																<p style="display: none;" id="thomsoncredit-text" class="grey-med">
																<c:choose>
																		<c:when test="${applyCreditCardSurcharge eq 'true'}">
																			There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">(which is capped at ${poundOrEuro}<c:out value="${maxCardCharge}"/>)</c:if>  if paying by credit card. We accept all major credit cards.
															</c:when>
															<c:otherwise>
																			There is no extra charge if paying by Credit Card. We accept all major Credit Cards.
																		</c:otherwise>
																</c:choose>
																</p>
															</c:when>
															<c:otherwise>
																<c:if test="${applyCreditCardSurcharge eq 'true'}">
																<p class="marg-top--5 marg-bottom-10 grey-med">+<fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% credit card surcharge.</p>
																</c:if>
																<p class="grey-med">
																<c:choose>
																	<c:when test="${applyCreditCardSurcharge eq 'true'}">
																		There is a <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% surcharge <c:if test="${parsemaxCap > 0}">(which is capped at ${poundOrEuro}<c:out value="${maxCardCharge}"/>)</c:if> if paying by credit card. We accept all major credit cards.
																	</c:when>
																	<c:otherwise>
																		There is no extra charge if paying by Credit Card. We accept all major Credit Cards.
																	</c:otherwise>
																</c:choose>
																</p>

															</c:otherwise>
														</c:choose>
														<div class="select-block b grey-dark full-hit">
															<!-- Note for js: the whole container is clickable! -->
															<span class="radio" id="credit"></span><span class="rtext">Select</span>
															<span class="hide" id="creditCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
															<c:if test="${(clientapp == 'ANCTHFO') || (clientapp == 'ANCFJFO') || ((clientapp != 'ANCFALCON') && (fullAmount <= 0.0))}">
															   <span class="hide" id="thomsonCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
															</c:if>
														</div>
													</div>
												</div>
												<c:if test="${clientapp != 'ANCSKIES' && clientapp != 'ANCSKICS'}">
													<p class="marg-bottom-10 text-c font-i">Or...</p>

													<div class="b pay-box" id="giftcardType" onclick="displayCreditCharges(this.id)">
														<div class="box with-trigger bdr-blue marg-bottom-20">
															<h2 class="title">Gift card</h2>
															<p class="grey-med">If you've got a <c:out value="${creditBrandText}"/> or First Choice gift card then you can pay using the balance on your card. You can <a href="https://portal.prepaytec.com/chopinweb/balanceCheck.do?customerCode=202192018122&amp;loc=en&amp;showPin=0&amp;brandingCode=bal_tui" target="_blank"> find out the balance</a> online or by calling 0203 130 0133.</p>
															<div class="select-block b grey-dark full-hit">
																<!-- Note for js: the whole container is clickable! -->
																<span class="radio" id="gift"></span><span class="rtext">Select</span>
																<span class="hide" id="giftCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
															</div>
														</div>
													</div>
												</c:if>
												<c:if test="${clientapp == 'ANCSKICS' && enableFlag}">
													<p class="marg-bottom-10 text-c font-i">Or...</p>

													<div class="b pay-box" id="giftcardType" onclick="displayCreditCharges(this.id)">
														<div class="box with-trigger bdr-blue marg-bottom-20">
															<h2 class="title">Gift card</h2>
															<p class="grey-med">If you've got a <c:out value="${creditBrandText}"/> or First Choice gift card then you can pay using the balance on your card. You can <a href="https://portal.prepaytec.com/chopinweb/balanceCheck.do?customerCode=202192018122&amp;loc=en&amp;showPin=0&amp;brandingCode=bal_tui" target="_blank"> find out the balance</a> online or by calling 0203 130 0133.</p>
															<div class="select-block b grey-dark full-hit">
																<!-- Note for js: the whole container is clickable! -->
																<span class="radio" id="gift"></span><span class="rtext">Select</span>
																<span class="hide" id="giftCardChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
															</div>
														</div>
													</div>
												</c:if>
												<c:if test="${enableFlag}">
												<p class="marg-bottom-10 text-c font-i">Or...</p>
												<div class="b pay-box <c:if test="${paypalActiveFlag eq 'false'}">pointer-none</c:if>" id="paypalType" onclick="displayCreditCharges(this.id)">
													<div class="box with-trigger bdr-blue marg-bottom-20" id="paypalPayment">
														<h2 class="title">
															<span class="pp-logo"></span>
														</h2>
														<br/><br/>
														<c:if test="${paypalActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal transaction wasn't successful.
														<br/>Please use another payment method.</p></c:if>
													<div class="select-block b grey-dark full-hit">
														<!-- Note for js: the whole container is clickable! -->
														<span class="radio" id="paypal"></span><span class="rtext" id="paypalSelect">Select</span>
														<span class="hide" id="paypalChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
													</div>
												</div>
												</div>
												</c:if>
									<!-- --PAY PAL CREDIT CODE -->
												<c:if test="${paypalCreditActiveFlag}">	
													<p class="marg-bottom-10 text-c font-i">Or...</p>	
													<div class="b pay-box <c:if test="${paypalCreditActiveFlag eq 'false'}">pointer-none</c:if> " data-payment-type="PayPal_Credit"	
														id="paypalcreditType" onclick="displayCreditCharges(this.id)">	
														<div class="box with-trigger bdr-blue marg-bottom-20"	
															id="payPalCreditAmt">	
															<h2 class="title">	
																<span	
																	class="payPalCreditLogo"><img alt="govno"	
																	src="/cms-cps/tuicommon/images/logo/PP_credit_logo_small.png"	
																	class="payPalLogo"></span>	
															</h2>
																<c:if test="${paypalCreditActiveFlag eq 'false'}"><p class="paypal-error">Sorry, your PayPal Credit transaction wasn't successful.
																<br/>Please use another payment method.</p></c:if>	
															<p>Login or sign up for a PayPal account to apply.Subject to status.T&C's apply.</p>							
															<div class="greyBox">	
																<div class="paddingTop10">	
																	<ul id="menu">	
																		<li class="creditList"><img alt=""	
																			src="/cms-cps/tuicommon/images/checkmark2.png"	
																			class="tickLogo" /> 0% interest for 4 months</li>	
																		<li class="creditList"><img alt=""	
																			src="/cms-cps/tuicommon/images/checkmark2.png"	
																			class="tickLogo" />Simple to apply</li>	
																		<li class="creditList"><img alt="" src="/cms-cps/tuicommon/images/checkmark2.png"	
																			class="tickLogo" />Pay nothing today
																		</li>	
																	</ul>	
																</div>	
															</div>	
															
															<div class="select-block b grey-dark full-hit">	
																<!-- Note for js: the whole container is clickable! -->	
																<span class="radio" id="payPalCredit"></span><span class="rtext"	
																	id="paypalcreditSelect">Select</span>
																	<span class="hide" id="paypalcreditChargeAmt_fullCost"><c:out value="${fullAmount}" /></span>
															</div>	
														</div>	
													</div>	
												</c:if>	
											</c:otherwise>
										</c:choose>
										<div class="disNone" id="creditCardCharges" onclick="displayCreditCharges(this.id)">
											<c:choose>
												<c:when test="${(clientapp == 'ANCTHFO') || (fullAmount <= 0.0)}">
												    <p class="size-18">You're about to pay <span class="creditCardChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="creditCardFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by Credit Card</p>
												</c:when>
												<c:when test="${(clientapp == 'ANCFJFO') || (fullAmount <= 0.0)}">
												    <p class="size-18">You're about to pay <span class="creditCardChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="creditCardFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by Credit Card</p>
												</c:when>
												<c:otherwise>
											<p class="size-18">You're about to pay <span class="creditCardChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="creditCardChargeFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by Credit Card</p>
												</c:otherwise>
											</c:choose>

											<p class="grey-med">
											<c:if test="${applyCreditCardSurcharge eq 'true'}">
												Includes <fmt:formatNumber value="${cardCharge}" type="number" maxFractionDigits="2" minFractionDigits="0" pattern="#####.##" />% Credit Card Surcharge
											</c:if>
											</p>
	                 					</div>

										<div class="disNone" id="debitCardCharges" onclick="displayCreditCharges(this.id)">
											<p class="size-18">You're about to pay  <span class="debitCardChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="debitCardFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by Debit Card</p>
										</div>

										<div class="disNone" id="paypalCharges"  onclick="displayCreditCharges(this.id)">
											<p class="size-18">You're about to pay <span class="paypalChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="paypalFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by PayPal</p>
										</div>

										<div class="disNone" id="paypalcreditCharges"  onclick="displayCreditCharges(this.id)">
											<p class="size-18">You're about to pay <span class="paypalcreditChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="paypalcreditFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by PayPal Credit</p>
										</div>

										<c:if test="${(clientapp != 'ANCFALCON') || (clientapp != 'ANCFJFO')}">
											<div class="disNone" id="thomsonCardCharges">
											    <p class="size-18">You're about to pay  <span class="creditCardChargeFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="thomsonCardFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by TUI Credit Card</p>
											</div>
											<div class="disNone" id="giftCardCharges" onclick="displayCreditCharges(this.id)">
												<p class="size-18">You're about to pay  <span class="giftCardFinalAmt">${poundOrEuro}</span><span class="creditCardChargeFinalAmt" id="giftCardFinalAmt"><c:if test="${not empty paySummaryAmendmentCharge}"><c:out value="${paySummaryAmendmentCharge}"/></c:if></span> by Gift Card</p>
											</div>
										</c:if>

									</div>



<input type="hidden" name="total_transamt"  id="total_transamt"  value="NA" />
<input type="hidden"  id="payment_0_totalTrans" value="1" name="payment_totalTrans"/>
<c:choose>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFALCON') && (fullAmount > 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfalcon/js/functions_depositSection.js"></script>
	</c:when>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFALCON') && (fullAmount <= 0.0)}">
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfalcon/js/functions_depositSection_fullyPaid.js"></script>
	</c:when>
	<c:when test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCTHFO') || (bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFJFO') || (fullAmount <= 0.0)}">
		<c:if test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCTHFO')}" >
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancthfo/js/functions_depositSection.js"></script>
		</c:if>
		<c:if test="${(bookingInfo.bookingComponent.clientApplication.clientApplicationName == 'ANCFJFO')}" >
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfjfo/js/functions_depositSection.js"></script>
		<script type="text/javascript" src="/cms-cps/amendandcancel/ancfjfo/js/functions_depositSection_fullyPaid.js"></script>
	     <script type="text/javascript" src="/cms-cps/amendandcancel/ancfjfo/js/paymentUtils_fullyPaid.js"></script>
		</c:if>
	</c:when>
	<c:otherwise>
		<script type="text/javascript" src="/cms-cps/amendandcancel/js/functions_depositSection.js"></script>
	</c:otherwise>
</c:choose>

